[ W900 Semi-Truck Mod - Complete Patch Notes ]

[ Version 1.3 - "Stability & Axle Update" | March 23, 2026 ]

-- Axle System & Protection --

4-Tire Rear Axle Support [Major Feature]
- Finished the W900 axle-system pass for the 4-tire rear setup
- Added proper middle axle support instead of treating extra wheel positions like rear-axle aliases
- Middle axle parts now behave correctly in mechanics logic and model visibility updates

Dedicated Middle Axle Parts [New Feature]
- Added proper support for middle axle brakes, tires, suspension, and wheelchains
- Middle axle entries now appear correctly in the mechanics interface
- Translation support updated so the new parts are labeled as middle axle parts instead of rear duplicates

Per-Wheel Wheelchain & Protection Logic [System Rework]
- Reworked wheelchain and tire protection handling so each front, middle, and rear tire stores its own state and condition
- Semitruck wheelchains now behave per wheel instead of relying on a shared fallback path
- Visibility and protection syncing now follow each tire's parented part relationship correctly

-- Armor & Naming Cleanup --

Armoring Reword Pass [Quality of Life]
- Cleaned up visible armoring terminology across UI labels, item names, and recipe text
- Improved naming consistency for armor, wheelchains, and related protection parts
- Updated wording around the added axle-related entries so the new setup reads clearly in-game

-- Performance & Compatibility --

Chunk-Based Payload Damping [Performance Improvement]
- Moved payload damping refreshes away from constant nearby scanning to chunk-based updates
- Truck mass updates now refresh when entering relevant areas instead of repeatedly polling every nearby square
- Reduces unnecessary processing while keeping payload behavior responsive

Payload Collision Guarding [Stability Fix]
- Stopped payload damping from rewriting truck mass while the vehicle is physically active
- Running or moving W900 trucks now keep a stable mass state instead of updating mid-contact
- Prevents collision spikes such as idle-touch body bumps and trucks being kicked upward when rolling over zombies

Payload Validation & Recovery [Stability Fix]
- Hardened payload dampening so suspicious weight increases are ignored unless the payload or payload factor actually changed
- Weight-lowering corrections are now always allowed, even while the truck is active, so stuck high-mass states recover immediately
- Tightened the client/server mass sync path so recalculations no longer blindly trust transient runtime spikes

Payload Balance Update [Tuning]
- Lowered the default payload dampening factor from `0.75` to `0.65`
- Keeps loaded trucks more stable without removing the payload effect entirely

Trailer Battery Sync Guarding [Compatibility Fix]
- Excluded multi-battery box-truck layouts from trailer battery sync
- Added a safer battery-charge fallback for layouts that expose charge differently
- Prevents single-battery trailer sync assumptions from breaking multi-battery vehicles

-- Tires, Wheelchains & Runtime Fixes --

Bogie Tire Wear Sync [Gameplay Fix]
- Fixed the middle bogie tires appearing to ignore wear and collision damage on the W900 rear 4-tire setup
- Added server-side syncing so each middle/rear tire pair now reflects the same degraded tire state when vanilla only updates the shared wheel slot
- Prevents the visual and mechanics mismatch where the center tires could stay pristine while the bogie was already damaged

Bogie Wheelchain Sync [Gameplay Fix]
- Added soft syncing for middle/rear wheelchains on each bogie side when both chains are installed
- Matching wheelchain pairs now wear down together instead of drifting into different durability states on the same shared bogie
- Keeps the protection state readable without forcing a full shared hard-break behavior

Wheelchain Durability Increase [Balance Change]
- Increased W900 wheelchain durability from `100` to `400`
- Gives chained bogie setups a much larger protection buffer before failure
- Applies to the active wheelchain item definitions used by the current 42.15/common branch

-- Military Loot Fixes --

Dynamic Military Loot Validation [Major Fix]
- Hardened military vehicle loot generation against broken firearm dependencies
- Firearms are now validated before entering the W900 military loot cache
- Invalid items are also filtered during procedural distribution merges, not just during manual fill logic
- Military loot reduced ~70%

42.15 Dynamic Cargo Hook Repair [Fix]
- Reworked the active 42.15 military cargo hook to identify valid W900 military vehicles by script name instead of unreliable room checks
- Added clear runtime logging for easier verification and debugging
- Ensures the active 42.15 branch is using the intended dynamic cargo path

### Possible Tire issue
 - If your truck loses Tires due to the update you can restore them in the contextmenu like you do the Move up.

### Truck Glitching into the ground
 - Reworked model and tire offset, trucks are 70% less prone to get stuck, trailers are still having issues.

[ ------ ]

[ Version 1.4 - "Cistern & Runtime Rules Update" | March 27, 2026 ]

-- Trailer Lighting --

Military Trailer Headlight Sync [Fix]
- Fixed trailer light synchronization for additional semitrailer variants used by the W900 setup
- Military and cattle trailer variants now follow the same headlight sync path as the base trailer layouts
- Prevents attached trailer light states from desynchronizing on supported W900 combinations

-- Cistern Fluid System --

Split Cistern Tank Support [Major Feature]
- Reworked the cistern trailer to support separate gasoline and water tank configurations
- Added dedicated `2000TankG` and `2000TankW` part handling instead of relying on a single mixed tank path
- Water support now follows Build 42 fluid-container rules instead of only changing the visible content type

Hydrant Water Filling [Major Feature]
- Added hydrant-based water filling for the W900 cistern water tank
- Hydrant filling requires a rubber hose and uses the dedicated hydrant fill interaction instead of the gasoline refuel flow
- Added support for draining cistern contents into compatible fluid containers, including hose-gated draining rules

Finite Hydrant Reserve After Shutoff [Gameplay Feature]
- Hydrants no longer behave as infinite water sources after the world water supply shuts off
- Each hydrant now generates and stores a persistent remaining water reserve between `6000` and `10000` liters
- Remaining hydrant water is saved on the hydrant tile modData so the same hydrant keeps its consumed state

Hydrant Power & Availability Rules [Gameplay Fix]
- Hydrant filling is now only available while global water is active or when an adjacent generator is actively powering the hydrant after shutoff
- Turning off the generator now immediately invalidates hydrant pumping instead of allowing continued transfer
- Immediate water-off starts now correctly treat hydrants as shut down instead of showing infinite water

Hydrant Context Information [Quality of Life]
- Added a right-click hydrant context entry that shows how much water is still available
- Hydrants now display either unlimited supply while global water is active or the remaining liter count after shutoff
- Improves readability when multiple hydrants have already been partially drained

Trailer Tank Container Labels [Quality of Life]
- Added localized fluid-container names for the trailer gasoline and water tank containers
- Trailer tank interactions now show proper translated container labels instead of relying on missing default names

Tank Type Conversion Recipe [Quality of Life]
- Added a mechanics recipe to convert the 2000L trailer tank between gasoline and water variants
- The conversion uses the Build 42 item-mapper path, keeps tank condition, and only works while the tank is empty

-- Cistern Safety & Interaction Rules --

Strict Water-Tank Targeting [Gameplay Fix]
- Hydrant filling is now hard-locked to the installed `2000TankW` water tank only
- Gasoline tank configurations can no longer incorrectly receive hydrant water through shared trailer state
- Timed actions validate the same tank restrictions as the menu layer, preventing stale interaction exploits

Strict Gasoline Source Validation [Gameplay Fix]
- Fuel transfer from the cistern trailer now only works from a valid installed gasoline tank configuration
- `Tanke aus dem Tankwagen` is no longer offered when the water tank is installed
- Prevents fuel disappearing into invalid split-tank states during trailer-to-vehicle refueling

Hidden Split-Tank Fallback Blocking [Gameplay Fix]
- Split-cistern vehicles no longer fall back to the inherited vanilla `GasTank` when no valid `2000TankG` is installed
- Gas-pump and tanker radial/context actions now refuse non-installed gasoline tank states instead of filling hidden trailer storage
- Draining from the cistern also requires an actually installed split tank, which blocks phantom fuel recovery from stale part state
- W900 tow vehicles that are pulling a cistern are no longer treated as generic tanker fuel sources by the fallback vehicle-to-vehicle scan
- Shared split-tank validation now comes from one helper module so pump, tanker, drain, and fallback logic all use the same rules

Empty-Only Split Tank Removal [Gameplay Fix]
- `2000TankG` and `2000TankW` can now only be uninstalled when their container is empty
- Prevents removing a tank part while liquid is still stored in it and carrying that stale content into a no-tank configuration
- Keeps mechanics removal rules aligned with the split-tank runtime validation

Mutually Exclusive Tank Installation [Fix]
- Replaced the ineffective tooltip-only `requireUninstalled` behavior with a custom install validation path
- Gasoline and water tank variants now correctly block each other during mechanics installation
- Prevents installing conflicting split-tank parts even when vanilla default install checks would still allow it

-- Bogie Tire Runtime --

Separate Bogie Tire Air Handling [Fix]
- Removed bogie air-pressure mirroring between middle and rear tire pairs
- Tires on the shared bogie can now be inflated or deflated individually without the next sync tick undoing the action
- Keeps the previous tire-state fixes without forcing both tires to share the same PSI

50/50 Bogie Damage Distribution [System Rework]
- Replaced direct bogie condition mirroring with per-pair damage tracking
- When vanilla shared-slot tire damage occurs on a bogie with both tires installed, the loss is now routed by `50/50` roll to either the middle or rear tire
- Installing a fresh rear tire no longer drags its durability down to match the paired middle tire just because the old sync logic equalized both sides

Bogie Wheelchain Pair Sync Removal [Cleanup]
- Removed the old middle/rear wheelchain pair sync for bogie sides
- Wheelchains are no longer forced back into paired shared-state behavior after the new bogie damage model split tire durability properly
- Simplifies the rear bogie runtime logic so only the required tire damage routing remains active

[ ------ ]

[ Version 1.5 - "Runtime & Interaction Update" | March 28, 2026 ]

-- Bullbar Armor Logic --

Latched Engine Protection After Hood Failure [Gameplay Fix]
- The front bullbar no longer protects the engine immediately while the hood is still intact
- Engine protection now only latches in after the `EngineDoor` has failed
- Removing the `EngineDoor` now also counts as hood failure, so bullbar protection still engages during hoodless front-end testing
- Once latched, the truck caches the engine's current condition instead of letting armor logic restore it to full condition
- While the bullbar is still absorbing front-end damage, the engine is held at that cached condition and the bullbar takes the protection loss instead
- Manual engine repairs can still raise the cached baseline, so later absorbed hits preserve the newer repaired condition instead of snapping back to an older value

-- Hydrant UI & Localization --

Hydrant Availability Translation Fix [Quality of Life]
- Replaced the hardcoded hydrant water availability text with proper translation keys
- Fixed the German hydrant availability label to use the correct umlaut in `verfügbar`
- Removed the redundant hover tooltip so the hydrant availability line only appears once in the world context menu

Hydrant Hose Requirement Feedback [Quality of Life]
- Hydrant tank filling now stays visible even when the player does not have a rubber hose
- The hydrant fill entry now shows a hose-required label instead of disappearing completely
- Hydrant timed-action validation now uses the shared split-tank helper, restoring water-tank filling after the recent cistern install-state compatibility changes

-- Cistern Refuel Detection --

Gas Tank Area Source Check [Gameplay Fix]
- `Tanke aus dem Tankwagen` now checks range from the cistern's actual gas tank area instead of the trailer root position
- Restores the tanker refuel option when standing by the source tank on long trailer setups
- Shared installed-part detection now also accepts valid split-tank container state, preventing false missing-source cases without reopening invalid car-to-car refuel paths

[ ------ ]

[ Version 1.5a - "Cistern Drain Hotfix" | April 2, 2026 ]

-- Cistern Drain & Transfer --

Multiplayer Portable Container Drain Fix [Gameplay Fix]
- Fixed multiplayer cistern draining so portable containers are filled correctly instead of only reducing the trailer tank amount
- The shared timed action now resolves the transferred fluid type directly from the installed cistern part at runtime
- Prevents gasoline or water from being removed from the cistern when the destination item was not being populated correctly on the MP action path

Mounted Tank Destination Blocking [Gameplay Fix]
- Fixed the cistern drain menu offering installed trailer tank parts as drain targets
- The mounted `Base.Tank2000_2` and `Base.Tank2000W_2` items are now excluded from compatible portable destination scans
- Restores normal portable cans and bottles as valid drain targets without listing the trailer's own tank item

Radial Drain Menu Restoration [Quality of Life]
- Restored cistern draining to the in-vehicle radial menu for Build 42.15
- The split-cistern drain action is now added on the radial `slice` path instead of only the right-click context path
- Radial draining uses the first compatible portable container, while the context menu still provides the detailed container submenu and fill-all handling

-- Cistern UI & Localization --

Portable Container Amount Display Fix [Quality of Life]
- Fixed the cistern drain submenu tooltip showing free capacity as if it were current content
- Portable containers now display `current amount / capacity` instead of the inverted `free space / capacity` readout
- Prevents partially filled cans from appearing as if their amounts were flipped

Drain Menu Translation Key Added [Localization Fix]
- Added the missing `ContextMenu_DrainW900Cistern` key to the Build 42.15 translation set
- The drain action is now localized in the shipped `DE`, `EN`, `ES`, `FR`, `PTBR`, and `RU` language files
- Prevents the raw translation key from appearing in the cistern drain context and radial menu entries

[ ------ ]

[ Version 1.6 - "Freezer Runtime & Sync Update" | April 3, 2026 ]

-- Box-Truck Freezer Runtime --

Remote Battery Drain While Unoccupied [Gameplay Fix]
- Fixed the W900 box-truck freezer so battery drain continues correctly even after the driver leaves the vehicle
- Removed the old reliance on seat/occupant-driven freezer updates for ongoing freezer runtime
- Added a minute-based loaded-vehicle freezer pass so active freezer trucks keep simulating while nearby and loaded

Multi-Battery Runtime Accuracy [System Fix]
- Freezer runtime now checks the actual installed W900 battery parts instead of only trusting the base vehicle battery state
- Multi-battery freezer trucks now draw from the intended battery pool more reliably while unoccupied
- Battery stat updates are pushed through the custom W900 battery helper during freezer operation

-- Inventory Refresh & Freezing State --

Live Inventory Refresh [Quality of Life]
- Fixed freezer item-state sync so cold and frozen progress updates refresh in open inventory windows without manual item shuffling
- Client refresh is now triggered when freezer state changes need to become visible in the truck container UI
- Prevents the old behavior where players had to move or drop items before temperature changes became visible

Freezing Progress Visibility [Gameplay Fix]
- Cooling items now gain freezing progress during the cooling phase instead of only after the container has already reached full freezer temperature
- Cold-state tint, freezing progress, and frozen-state transitions now stay in sync much more reliably for clients
- Restores the expected freezer progress feedback on supported food items

-- Runtime Cleanup --

Dedicated Freezer Runtime Module [Maintenance]
- Moved the freezer runtime into its own server module for cleaner separation from the general W900 vehicle code
- Consolidated freezer client-refresh helpers and runtime constants into one shared implementation
- Reduced duplication between the W900 server command handler and the vehicle runtime path

[ ------ ]

[ Version 1.6a - "Freezer Creation Hotfix" | April 3, 2026 ]

-- Freezer Template Compatibility --

Vehicle Freezer Part Creation Crash [Multiplayer Fix]
- Fixed a runtime crash when freezer-equipped W900 box trucks were created or synchronized in multiplayer
- Corrected the custom `VehicleFreezer` create hook to use the current `(vehicle, part)` template callback signature
- Prevents the freezer create path from passing the vehicle object into the vanilla part-inventory helper by mistake

Shared Template Initialization Restore [System Fix]
- Restored the active-part initialization expected by the shared CommonTemplates runtime
- Added the required CommonTemplates dependency for the freezer create path on current builds
- Improves compatibility with the 42.16.1 vehicle/template runtime during vehicle spawn and full update sync

[ ------ ]

[ Version 1.7 - "Trailer Runtime & Airbrake Update" | April 10, 2026 ]

-- Trailer Runtime & Handling --

Detached Trailer Payload Guard [Stability Fix]
- Fixed payload damping continuing to treat detached semitrailers as active payload targets
- Detached semitrailers now stop receiving trailer-side payload mass updates until they are actually linked again

Current Vehicle Payload Refresh [Performance & Stability]
- Tightened payload refresh checks so the runtime follows the player's current vehicle instead of also reacting to merely nearby vehicles
- Reduces unnecessary mass recalculations on parked or detached W900 clusters

Trailer Script Tuning Pass [Handling Update]
- Reworked semitrailer script tuning across the active trailer lineup, including van, cattle, cistern, and lowbed variants
- Updated trailer mass, chassis shape, center of mass, suspension, steering, friction, and health values relative to the previous Steam build
- Keeps the current trailers aligned with the revised runtime and handling pass

-- Vehicle Script Cleanup --

Shared Box Truck Template Refactor [Maintenance]
- Reworked the box truck variants to inherit more of their setup from the shared box template instead of duplicating the full configuration inline
- Updated the active W900 box and military box script variants to use the revised shared setup

W900 Script Alignment [Maintenance]
- Updated the W900, W900 Lite, and military truck script variants to match the current shared template and handling values

-- Recovery & Utility Functions --

Vehicle Recovery Disabled [Cleanup]
- Disabled the old vehicle recovery function
- `Move Up` remains available for now as the remaining manual unstuck option

-- Airbrake Sound --

Airbrake Trigger Rework [Quality of Life]
- Reworked the airbrake trigger so it fires reliably at very low rolling speeds instead of depending on exact zero speed
- Changed the airbrake state tracking from one shared flag to per-vehicle tracking

Airbrake Cooldown [Quality of Life]
- Added a 1-second cooldown to the airbrake sound trigger
- Prevents repeated sound playback while making small forward and backward corrections during maneuvering

Airbrake Volume Reduction [Audio Tuning]
- Reduced the airbrake sound volume in the sound definition itself
- Avoids relying on the Lua playback call alone for loudness control

[ ------ ]

[ Version 1.7a Build 42.17 Compatibility | April 20, 2026 ]

42.17 Override Branch [Compatibility Update]
- Added a dedicated `42.17` override branch for the affected W900 runtime Lua files instead of changing the shared `common` branch
- Merged RotatorsLib into the W900 mod for the 42.17 branch so the required rLib vehicle runtime now ships directly inside `rSemiTruck`
- Keeps the new-build compatibility fixes isolated to Project Zomboid 42.17
- Applies to the multi-slot restore path, ATATuning bogie sync, freezer runtime, and merged armor runtime scan

Loaded Vehicle Collection Compatibility [Runtime Fix]
- Fixed multiple 42.17 runtime errors caused by older W900 code assuming `getCell():getVehicles()` always returned the previous Java-style indexed collection
- Verified that `getCell():getVehicles()` still exists in Build 42.17, but now returns a Java `Set<BaseVehicle>` instead of the old indexable collection shape expected by older Lua code
- Added compatibility iteration guards so the affected systems can scan loaded vehicles without crashing under Build 42.17
- Prevents the reported nil-call crashes in `MSW_RestoreContainerCapacitiesOnLoad`, `syncLoadedBogieState`, and `updateLoadedVehicles`

Merged Armor Runtime Compatibility [Runtime Fix]
- Fixed the merged `rLib.Vehicles.Armor` client scan path under `rSemiTruck/42.17` after the RotatorsLib merge
- Hardened `ProcessCell()` so the armor maintenance pass no longer crashes on player update when scanning nearby loaded vehicles in 42.17
- Keeps the merged armor logic inside the W900 42.17 branch instead of depending on a separate RotatorsLib runtime file

[ ------ ]

[ Version 1.7b - "MP Repair & Radial interaction Bug" | April 22, 2026 ]

-- Multiplayer Vehicle Interaction --

Armor Repair Sync Fix [Multiplayer Fix]
- Fixed an armor repair bug where the protection update could fail to apply properly in multiplayer
- On affected trucks this could keep retrying in the background and eventually block normal vehicle radial interactions
- The repair path now uses the W900 sync route across the shared common-folder setup and the 42.17 branch

Armor Repair Spam Fix [Stability Fix]
- Fixed the armor system repeatedly trying the same repair over and over while the client was still waiting for the updated state
- Prevents packet-limit warnings and stops damaged parts like the engine door and headlights from endlessly retriggering the same repair attempt
- Helps keep multiplayer vehicle interaction responsive around damaged W900 trucks

ClientCommand Packet Flood Mitigation [Stability Fix]
- Fixed the packet flood caused by the broken armor repair loop in multiplayer
- Eliminates the reported `Packets limit has exceeded for ClientCommand` spam near damaged trucks
- Restores normal interaction flow once the repair loop is no longer clogging the command queue

-- Box Truck Armor --

Bullbar-Gated TruckBed Armor [Gameplay Update]
- Added bullbar-linked protection for the W900 box truck cargo body (`TruckBed`)
- The box body stays protected only while the front bullbar still has more than `15` condition left
- Once the bullbar is mostly spent, that extra protection stops as intended

[ ------ ]

## Version 1.71 - "Attach Trailer Compatibility Fix" (April 26, 2026)

### Radial Menu Compatibility

**Attach Trailer Entry Restored with Conflicting Mods** *(Compatibility Fix)*
- Fixed an issue where the Attach Trailer radial menu entry could silently disappear when W900 was loaded alongside mods that wrap `ISVehicleMenu.showRadialMenuOutside` without re-injecting vanilla towing logic (reported with Working Seatbelt 3055029361 + Vex's Working Seatbelt Patch 3687029372)

- Added a post-wrap towing fallback in `VehicleEnterFix.lua`: after all radial extensions have run, the outside-radial handler checks whether Attach/Detach Trailer slices are present and injects them from the vanilla `doTowingMenu` path if they are missing

- The fix is passive and non-destructive — if towing entries are already provided by vanilla or another mod, nothing is added or changed

[ ------ ]

[ Version 1.71a - "Armor Sync & Wear Reliability" | April 28, 2026 ]

-- Armor Repair & Protection Logic --

Singleplayer Armor Repair Restore [Gameplay Fix]
- Fixed protected W900 parts being visibly repaired in logs without actually updating on the vehicle in singleplayer
- Armor-triggered repairs now apply locally in singleplayer instead of relying only on the multiplayer client-to-server command path
- Restores the expected protected-part auto-repair behavior for engines, doors, windows, truck beds, and trailer body armor

Armor Durability Loss Restore [Gameplay Fix]
- Fixed armor guards such as the bullbar and other linked protection parts not losing durability correctly after protected parts were repaired in singleplayer
- Local armor condition writes now clear the random-condition state first so the updated durability value persists correctly
- Prevents protection parts from appearing to stay pristine while still absorbing repair loss

Deterministic Armor Wear Scaling [Balance Fix]
- Replaced the previous random armor wear roll with a deterministic wear formula
- Armor now loses roughly `10%` of the repaired protected-part condition, with fractional wear buffered between repairs for stable long-term results
- Example: repairing three protected parts by `20` condition each now removes about `6` condition from the linked armor instead of producing erratic random spikes

Shared Armor Sync Runtime [Refactor]
- Moved the W900 armor repair dispatch and local part-condition apply logic into a dedicated shared `ArmorSync` helper
- Centralized the runtime decision between singleplayer local application and multiplayer command-based syncing
- Reduces duplicated armor sync code across the W900 client runtime, 42.17 merged rLib runtime, and bundled RotatorsLib branches

[ ------ ]

[ Version 1.3a - "Cistern Fuel Pump Transfer" | May 8, 2026 ]

-- Cistern Fuel Transfer --

Fuel Pump Refill from Tanker [Quality of Life]
- Added a new W900 cistern action that pumps gasoline from the installed `2000TankG` into a nearby fuel pump
- The action appears on the same cistern radial/context path as the other split-tank fuel interactions
- Uses a dedicated `Icon_FuelPumpModded.png` radial icon in the W900 mod so the slice does not depend on another mod's textures

Empty Pump Target Detection [Gameplay Fix]
- Added a separate nearby fuel-pump target scan for tanker-to-pump transfer
- Unlike the existing gas-station source scan, the new path accepts empty fuel pumps so buildable or freshly emptied pumps can be refilled
- Real-time transfer uses a dedicated timed action and writes directly to the pump's `setPipedFuelAmount()` state while draining the cistern

Startup Load Guard [Hotfix]
- Fixed a startup crash in `ISFillFuelPumpFromW900Cistern.lua` caused by reading `Vehicles.JerryCanLitres` before the `Vehicles` table was available during Lua load
- The pump-unit conversion is now resolved lazily at runtime with a safe fallback instead of at file scope

[ ------ ]

[ Version 1.71b - "General Patch" | May 9, 2026 ]

-Moved the rear armor logic from TruckBed to DoorRear and updated the linked repair/check callbacks.
-Fixed bullbar auto-repair so installing protection no longer instantly restores a damaged protected part to full condition
-Fixed bullbar auto-repair so installing protection no longer instantly restores a damaged protected part to full condition.
-Fixed cistern pump refueling so gas station pumps now require electrical power, matching vanilla behavior.
-Fixed transported vehicle restore so container-backed installed parts are no longer lost after unload. (Roofracks etc)
-Adjusted Truck and Trailer Hitbox Height, you are now able to driver unser a Fuelstation or park inside a GeneratorTileRange
-Cistern/Tanker is now able to transfer fuel to Fuel pumps
-Cistern Center of Gravity adjustment since it was still pushing the truck when attached

[ ------ ]

[ Version 1.711b - "Bugfix" | May 12, 2026 ]

Serialization Fixes

Custom Trunk Capacity Baseline Restore [Gameplay Fix]
- Fixed some unpacked KI5/custom trunk container parts restoring with the wrong capacity baseline

[ ------ ]

[ Version 1.72 - "Cistern Barrel Drain Expansion" | June 8, 2026 ]

-- Cistern Fluid Transfer --

Nearby Barrel / Collector Fill [Quality of Life]
- The W900 cistern can now fill nearby placed world containers, not just portable inventory containers
- Water can now be drained directly into rain collectors and gasoline into compatible (rain collectors too) placed barrels

Context Menu Target Selection [Quality of Life]
- Nearby placed containers are now selected through the right-click context menu of the Cistern instead of the radial menu
- Portable inventory containers remain available on the radial path

Drain Menu Icons & Naming [UI / Localization]
- Added icon textures to the cistern drain menu entries for nearby target containers

Pre-Filled World Container Overwrite Support [Gameplay]
- Eg. allows gasoline transfer into eligible placed containers that already contain another fluid
[ ------ ]